## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
.read
CREATE TABLE t1(a TEXT, ax INTEGER, b INT, PRIMARY KEY(a,ax)) WITHOUT ROWID;
WITH RECURSIVE c(i) AS (VALUES(-(-(degrees(round(exp(NULL), trim('hello', NULL)))))) UNION ALL SELECT i+json_group_array(1) FROM c WHERE i<10) INSERT INTO t1(a,ax,b) SELECT printf('%02x',i+160), random(), i FROM c;
CREATE INDEX t1a ON t1(a);
CREATE TABLE `t2`(x,y);
CREATE TABLE t3(cnt);
WITH RECURSIVE c(i) AS (VALUES(1) UNION ALL SELECT i+1 FROM c WHERE i<4) INSERT INTO t3(cnt) SELECT i FROM c;
SELECT count(*) FROM t1;


SELECT COUNT(*) FROM t1;
CREATE UNIQUE  INDEX IF NOT EXISTS idx_t2_2608 ON t2((y + 1));
SELECT * FROM t1 WHERE b = ANY (SELECT b FROM t1);
CREATE TRIGGER IF NOT EXISTS trg_t3_3604 AFTER UPDATE ON t3 BEGIN SELECT RAISE(IGNORE); END;
INSERT INTO t3 DEFAULT VALUES;

SELECT COUNT(*) FROM t3;
SELECT * FROM t2 CROSS JOIN t2;
.read
CREATE TABLE t1(a TEXT, ax INTEGER, b INT, PRIMARY KEY(a,ax)) WITHOUT ROWID;
WITH RECURSIVE c(i) AS (VALUES(-(-(degrees(round(exp(123.456), 2))))) UNION ALL SELECT i+1 FROM c WHERE i<10) INSERT INTO t1(a,ax,b) SELECT printf('%02x',i+160), random(), i FROM c;
CREATE INDEX t1a ON t1(a);
CREATE TABLE `t2`(x,y);
CREATE TABLE t3(cnt);
WITH RECURSIVE c(i) AS (VALUES(1) UNION ALL SELECT i+1 FROM c WHERE i<4) INSERT INTO t3(cnt) SELECT i FROM c;
SELECT count(*) FROM t1;


SELECT COUNT(*) FROM t1;
CREATE UNIQUE  INDEX IF NOT EXISTS idx_t2_2608 ON t2((y + 1));
SELECT * FROM t1 WHERE b = ANY (SELECT b FROM t1);
CREATE TRIGGER IF NOT EXISTS trg_t3_3604 AFTER UPDATE ON t3 BEGIN SELECT RAISE(IGNORE); END;
INSERT INTO t3 DEFAULT VALUES;

SELECT COUNT(*) FROM t3;
SELECT * FROM t2 CROSS JOIN t2;
.read
CREATE TABLE t1(a TEXT, ax INTEGER, b INT, PRIMARY KEY(a,ax)) WITHOUT ROWID;
WITH RECURSIVE c(i) AS (VALUES(-(-(degrees(round(exp(123.456), 2))))) UNION ALL SELECT i+1 FROM c WHERE i<10) INSERT INTO t1(a,ax,b) SELECT printf('%02x',i+160), random(), i FROM c;
CREATE INDEX t1a ON t1(a);
CREATE TABLE `t2`(x,y);
CREATE TABLE t3(cnt);
WITH RECURSIVE c(i) AS (VALUES(1) UNION ALL SELECT i+1 FROM c WHERE i<4) INSERT INTO t3(cnt) SELECT i FROM c;
SELECT count(*) FROM t1;


SELECT COUNT(*) FROM t1;
CREATE UNIQUE  INDEX IF NOT EXISTS idx_t2_2608 ON t2((y + 1));
SELECT * FROM t1 WHERE b = ANY (SELECT b FROM t1);
CREATE TRIGGER IF NOT EXISTS trg_t3_3604 AFTER UPDATE ON t3 BEGIN SELECT RAISE(IGNORE); END;
INSERT INTO t3 DEFAULT VALUES;

SELECT COUNT(*) FROM t3;
SELECT * FROM t2 CROSS JOIN t2;

PRAGMA cell_size_check = YES;
INSERT INTO t3 SELECT * FROM t3;
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

